Get resource details
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get resource details based on the filter conditions.
Method name
ManagementClient.get_resource
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| code | string | yes | - | Resource unique identifier | ecs |
| namespace | string | no | - | Code of the permission group (permission space). Do not pass to obtain the default permission group. | default |
Request Response
Type: ResourceRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a ResourceDto | Resource details |
Sample result:
json
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"code": "ecs",
"description": "Server",
"name": "Server",
"type": "API",
"actions": "[{\"name\":\"ecs:Start\",\"description\":\"Start ECS server\"},{\"name\":\"ecs:Stop\",\"description\":\"Stop ECS server\"}]",
"apiIdentifier": "https://my-awesome-api.com/api",
"namespace": "default"
}
}Data Structure
ResourceDto
| name | type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| code | string | yes | Resource unique identifier | ecs |
| description | string | no | Resource description | Server |
| name | string | no | Resource name | Server |
| type | string | yes | Resource type, such as data, API, button, menu | DATA |
| actions | array | no | Action type defined by the resource Nested type: <a ResourceAction. Array length limit: 100. | [{"name":"ecs:Start","description":"Start ECS server"},{"name":"ecs:Stop","description":"Stop ECS server"}] |
| apiIdentifier | string | No | URL identifier of API resource | https://my-awesome-api.com/api |
| namespace | string | No | Code of the permission group (permission space). If not passed, the default permission group will be obtained. | default |
| linkedToTenant | boolean | no | Whether the tenant application is associated with the self-built application resource |
ResourceAction
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| name | string | yes | Resource operation name | ecs:Start |
| description | string | yes | Resource operation description | ecs:Start |